#---------------------------------------------------------------------------
#  @(#) $Name: arts++-1-1-a12 $ 
#  @(#) $Id: Makefile.in,v 1.2 2003/06/12 18:52:01 rkoga Exp $
#---------------------------------------------------------------------------

ARTSCLASSLIB = ../../classes/lib/libArts.la
ARTSCLASSINC = -I../../classes/include
CXX = @CXX@
CXXFLAGS = @CXXFLAGS@
top_builddir = ../..
LIBTOOL = @ /bin/sh $(top_builddir)/libtool

all: artsnetagg

clean:
	rm -f *.o *.lo artsnetagg
	rm -Rf .libs

strip:: artsnetagg
	@-if [ -f .libs/artsnetagg ]; then \
	  strip .libs/artsnetagg ; \
	else \
	  strip artsnetagg ; \
	fi

artsnetagg: artsnetagg.o ${ARTSCLASSLIB}
	${LIBTOOL} ${CXX} ${CXXFLAGS} artsnetagg.o ${ARTSCLASSLIB} @LIBS@ -o artsnetagg

artsnetagg.o: artsnetagg.cc ../../classes/include/*.hh
	${CXX} ${CXXFLAGS} ${ARTSCLASSINC} -c artsnetagg.cc

install:: strip
	${LIBTOOL} ../../install-sh -c -m 555 artsnetagg @bindir@/artsnetagg
	../../install-sh -c -m 444 artsnetagg.man @mandir@/manl/artsnetagg.l

tarball::
	@TAR@ -uvf ../../@PKG_VERSION@_@OSNAME@.tar @bindir@/artsnetagg
	@TAR@ -uvf ../../@PKG_VERSION@_@OSNAME@.tar @mandir@/manl/artsnetagg.l


